AjaxLoadBundle (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.component.html.AjaxLoadBundle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class AjaxLoadBundle

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.ajax4jsf.component.UILoadBundle
                  org.ajax4jsf.component.html.AjaxLoadBundle

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxLoadBundleComponent

    public class AjaxLoadBundle

extends UILoadBundle

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`AjaxLoadBundle()`

Method Summary
`java.lang.String` | `getBasename()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getVar()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setBasename(java.lang.String _basename)`
`void` | `setVar(java.lang.String _var)`

Methods inherited from class org.ajax4jsf.component.UILoadBundle
`decode, encodeBegin, getRendererType, loadBundle`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### AjaxLoadBundle

    public AjaxLoadBundle()

Method Detail

### getBasename

    public java.lang.String getBasename()

  Specified by:
    `getBasename` in class `UILoadBundle`
  Returns:
    Returns the basename.

### setBasename

    public void setBasename(java.lang.String _basename)

  Specified by:
    `setBasename` in class `UILoadBundle`
  Parameters:
    `_basename` - The basename to set.

### getVar

    public java.lang.String getVar()

  Specified by:
    `getVar` in class `UILoadBundle`
  Returns:
    Returns the var.

### setVar

    public void setVar(java.lang.String _var)

  Specified by:
    `setVar` in class `UILoadBundle`
  Parameters:
    `_var` - The var to set.

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UILoadBundle`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.